
QGIS Application - Bug report #19495

QGis 2 could import layers from projects accessed on an apache server through a http url, QGis 3 

cannot and crashes

2018-07-26 12:08 PM - Yves NEDELEC

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GUI

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 27323

Description

Hi,

I have a local web server with Apache/php, running php code which builds qgis projects according to some data stored within a wiki page

(master application is mediawiki), and allows online access to the qgs file through http protocol.

When using QGis 2 I could import layers from these online projects (Menu Layer, "Importer des couches et des groupes" in French, and

providing the url as file location).

I join 3 screen captures to explain the steps :

Step 1 on picture menu_selection.jpg : menu is selected

Step 2 on picture web_project_selection.jpg : url of file is provided as file name

Step 3  on picture layer_selection.jpg : layers of project are correctly displayed

With QGis 3 the file selection windows vanishes and QGis window as well as soon as the url is provided, the windows can be displayed

back by clicking on the applications start bar but the process is crashed and displayed windows are in fact completely idle.

The project provided online is a QGis 2 project. Unortunately it cannot be accessed outside of a protected network, any external check is

impossible...

Is there a way to fix this problem ?

It is not critical because I just have to download the project on drive and acces layers from this physical copy but it leaves many unwanted

files after the process.

Thanks for any help

History

#1 - 2018-07-26 12:12 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2018-07-26 03:34 PM - Richard Robson

-

#3 - 2018-07-26 05:13 PM - Giovanni Manghi

Richard Robson wrote:
I'm endeavoring to utilize Qgis2threejs with a PolygonZ shapefile where each point in the polygons can contain diverse qualities assignment help uk

. The polygons speak to houses which can have askew rooftops. I know Qgis2threejs as of now doesn't bolster these sort of shapefiles. In any

case, I hadn't anticipated that QGIS would crash.

is this comment for real or is spam?

#4 - 2018-07-26 05:36 PM - Yves NEDELEC

seems to be a spam (mail address and link are suspect...)

#5 - 2018-07-30 03:10 PM - Yves NEDELEC

Hi,

My description if context is wrong : the file provided online is a QGis v3 project and not v2 (I've forgotten I had to upgrade the project because a QGis

internal integrity check in connection to Postgresql doesn't allow a duplicate key for temporary record, and in my process a pg trigger changes insert with

replace when commiting).

As a consequence it seems that the issue described in this report #19495 cannot be solved by changing the version of the online file.

Y. Nedelec

#6 - 2018-07-30 03:47 PM - Yves NEDELEC

- File layer_selection_v3.jpg added

I saw on picture layer_selection.jpg that a temporary file is stored in inetcache

(C:/Users/yves.nedelec/AppData/Local/Microsoft/Windows/INetCache/IE/4QTX8K48/download_qgis_creation

1

.php), this temporary file is the project file

provided online.

It appears that this physically stored file can be used by version 3 to insert a layer (as can be seen on layer_selection_v3.jpg attached to this comment).

The name is only reformatted by replacing / by \, the cache directory is different between the to pictures because the test was completely reedited today

with versions 2 and 3).

So there seems to be a process corruption or loss when or before the access to this temporary inet file is passed (if it is still managed in version 3) to the

layer selection window, which never appears...

#7 - 2018-07-30 10:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

very unlikley we will be able to test this scenario locally (at least for me).

#8 - 2018-07-30 11:46 PM - Nyall Dawson

Agreed - without access to the troublesome server this will be almost impossible to fix. You may need to engage a local qgis support provider to investigate

if the data cannot be made available publically.

#9 - 2018-07-31 09:47 AM - Yves NEDELEC
Ok

Unfortunately I won't be able to use a public server for further investigations in the short term

If the opportunity appears I'll post informations...

Thanks for your kind interest

#10 - 2018-07-31 10:54 AM - Yves NEDELEC

I installed the dev version and used Debugview

Debugview recorded these last elements related to the issue :

[8360] Warning: Unable to create a local copy of QShellItem(attributes=0x400004 [stream],

normalDisplay="http://172.22.113.39/navidigues3/download_qgis_creation.php?page=788&username=Navidigues&source=CETMEF_SITES",

desktopAbsoluteParsing="http://172.22.113.39/navidigues3/download_qgis_creation.php?page=788&username=Navidigues&source=CETMEF_SITES"", url=QUrl(

, url=QUrl(http://172.22.113.39/navidigues3/download_qgis_creation.php?page=788&#38;username=Navidigues&#38;source=CETMEF_SITES))

[8104] shell\lib\bindctx.cpp(1144)\explorerframe.dll!00007FFB358F8EA4: (caller: 00007FFB359405AE) ReturnHr[PreRelease](68) tid(23c8) 80070057

Paramètre incorrect. 

[8104] shell\lib\bindctx.cpp(1144)\explorerframe.dll!00007FFB358F8EA4: (caller: 00007FFB359405AE) ReturnHr[PreRelease](69) tid(23c8) 80070057

Paramètre incorrect. 

[8104] shell\lib\bindctx.cpp(1144)\explorerframe.dll!00007FFB358F8EA4: (caller: 00007FFB359405AE) ReturnHr[PreRelease](70) tid(23c8) 80070057

Paramètre incorrect. 

[8104] shell\lib\bindctx.cpp(1144)\explorerframe.dll!00007FFB358F8EA4: (caller: 00007FFB359405AE) ReturnHr[PreRelease](71) tid(23c8) 80070057

Paramètre incorrect.

It seems to look like a bug of Qt...

https://bugreports.qt.io/browse/QTBUG-63645

#11 - 2018-07-31 10:56 AM - Yves NEDELEC

Solved with Qt 5.9.4 if I understand well...

#12 - 2018-07-31 02:29 PM - Giovanni Manghi

Closing as is an upstream bug?

#13 - 2018-07-31 03:05 PM - Yves NEDELEC

As there is an alternative which allows to wait for an upgrade of Qt, I guess it can be closed.

#14 - 2018-07-31 04:28 PM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Feedback to Closed

Files
layer_selection_v3.jpg 360 KB 2018-07-30 Yves NEDELEC

2024-03-20 3/3

http://172.22.113.39/navidigues3/download_qgis_creation.php?page=788&#38;username=Navidigues&#38;source=CETMEF_SITES)
https://bugreports.qt.io/browse/QTBUG-63645

